Bug 182340 - [MAINTAINER UPDATE] devl/aegis (repost)
Summary: [MAINTAINER UPDATE] devl/aegis (repost)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-24 04:00 UTC by aryeh.friedman
Modified: 2014-09-20 16:04 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.92 KB, patch)
2013-09-24 04:00 UTC, aryeh.friedman
no flags Details | Diff
New patch for upgrade aegis (3.87 KB, patch)
2014-08-03 10:29 UTC, Rodrigo Osorio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description aryeh.friedman 2013-09-24 04:00:00 UTC
        Whats news:

        -- Upgrade to 4.25 (fixes many FreeBSD related bugs including ones reported by the maintainer)
        -- Clean up Makefile and other port files
        -- Set minimum GCC to be 4.8 (less is likely ok but this works)
        -- Dropped Tk/Tcl as a run time dependency

        Notes to committer:

        -- Install location of manpages is known to be an issue see note in current port Makefile
Comment 1 aryeh.friedman 2013-09-24 04:47:04 UTC
turns out during further testing commenting out gcc as a build depend hid
ghostscript please delete the commented out line to fix this
Comment 2 Rodrigo Osorio freebsd_committer 2014-02-13 12:45:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rodrigo

I'll take it.
Comment 3 Rodrigo Osorio freebsd_committer 2014-02-13 15:46:20 UTC
Aryeh,

If the submited fix doesn't work, please re-submit a clean patch
for this PR.

Cheers,
- rodrigo
Comment 4 Rodrigo Osorio freebsd_committer 2014-02-14 12:16:21 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 5 Rodrigo Osorio freebsd_committer 2014-08-03 10:29:55 UTC
Created attachment 145297 [details]
New patch for upgrade aegis

Hi,

The aegis port moves a little since your submission and
patch can't be applied. I added a reworked version.
Please test it and let me know if something goes wrong wit it.
Comment 6 John Marino freebsd_committer 2014-08-17 19:28:44 UTC
Rodrigo,
This aryeh friedman guy has been non-responsive on all PRs since January.
Please commit this and reset the port maintainer.
Comment 7 commit-hook freebsd_committer 2014-09-20 16:04:22 UTC
A commit references this bug:

Author: rodrigo
Date: Sat Sep 20 16:03:39 UTC 2014
New revision: 368655
URL: http://svnweb.freebsd.org/changeset/ports/368655

Log:
  Update aegis from 4.24.3 to 4.25 and fix small things.

  PR:		ports/182340
  Submitted by:	rodrigo
  Approved by:	bapt (mentor)

Changes:
  head/devel/aegis/Makefile
  head/devel/aegis/distinfo
  head/devel/aegis/files/
  head/devel/aegis/files/patch-aegrep_main.cc
  head/devel/aegis/pkg-plist
Comment 8 Rodrigo Osorio freebsd_committer 2014-09-20 16:04:57 UTC
commited thanks